MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FlacPcmImport Class Reference

This class imports libFLAC PCM data into a PCM format supported by MPD. More...

`#include <FlacPcm.hxx>`

## Public Member Functions
void | Open (unsigned sample_rate, unsigned bits_per_sample, unsigned channels)
| Throws #std::runtime_error on error. More...
const AudioFormat & | GetAudioFormat () const
ConstBuffer< void > | Import (const FLAC__int32 *const src[], size_t n_frames)

## Detailed Description

This class imports libFLAC PCM data into a PCM format supported by MPD.

Definition at line 35 of file FlacPcm.hxx.

## Member Function Documentation

const AudioFormat& FlacPcmImport::GetAudioFormat | ( |  | ) | const
| inline

Definition at line 47 of file FlacPcm.hxx.

ConstBuffer<void> FlacPcmImport::Import | ( | const FLAC__int32 *const | src[],
|  | size_t | n_frames
| ) |  |

void FlacPcmImport::Open | ( | unsigned | sample_rate,
|  | unsigned | bits_per_sample,
|  | unsigned | channels
| ) |  |

Throws #std::runtime_error on error.

The documentation for this class was generated from the following file:

- decoder/plugins/FlacPcm.hxx